# Uses of Enum Class
org.apache.sysds.hops.codegen.template.TemplateBase.TemplateType

Packages that use TemplateBase.TemplateType
Package
Description
org.apache.sysds.hops.codegen.template

## Uses of TemplateBase.TemplateType in org.apache.sysds.hops.codegen.template

Fields in org.apache.sysds.hops.codegen.template declared as TemplateBase.TemplateType
Modifier and Type
Field
Description
`TemplateBase.TemplateType`
CPlanMemoTable.MemoTableEntry.`type`
Methods in org.apache.sysds.hops.codegen.template that return TemplateBase.TemplateType
Modifier and Type
Method
Description
`TemplateBase.TemplateType`
TemplateBase.`getType()`
`static TemplateBase.TemplateType`
TemplateBase.TemplateType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TemplateBase.TemplateType[]`
TemplateBase.TemplateType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.hops.codegen.template that return types with arguments of type TemplateBase.TemplateType
Modifier and Type
Method
Description
`List<TemplateBase.TemplateType>`
CPlanMemoTable.`getDistinctTemplateTypes(long hopID, int refAt)`
`List<TemplateBase.TemplateType>`
CPlanMemoTable.`getDistinctTemplateTypes(long hopID, int refAt, boolean exclInvalOuter)`
Methods in org.apache.sysds.hops.codegen.template with parameters of type TemplateBase.TemplateType
Modifier and Type
Method
Description
`void`
CPlanMemoTable.`add(Hop hop, TemplateBase.TemplateType type)`
`void`
CPlanMemoTable.`add(Hop hop, TemplateBase.TemplateType type, long in1)`
`void`
CPlanMemoTable.`add(Hop hop, TemplateBase.TemplateType type, long in1, long in2)`
`void`
CPlanMemoTable.`add(Hop hop, TemplateBase.TemplateType type, long in1, long in2, long in3)`
`boolean`
CPlanMemoTable.`contains(long hopID, boolean checkClose, TemplateBase.TemplateType... type)`
`boolean`
CPlanMemoTable.`contains(long hopID, CPlanMemoTable.MemoTableEntry me, TemplateBase.TemplateType type)`
`boolean`
CPlanMemoTable.`contains(long hopID, TemplateBase.TemplateType type)`
`int`
CPlanMemoTable.`countEntries(long hopID, TemplateBase.TemplateType type)`
`static TemplateBase[]`
TemplateUtils.`createCompatibleTemplates(TemplateBase.TemplateType type, TemplateBase.CloseType ctype)`
`static TemplateBase`
TemplateUtils.`createTemplate(TemplateBase.TemplateType type)`
`static TemplateBase`
TemplateUtils.`createTemplate(TemplateBase.TemplateType type, TemplateBase.CloseType ctype)`
`List<CPlanMemoTable.MemoTableEntry>`
CPlanMemoTable.`get(long hopID, TemplateBase.TemplateType type)`
`CPlanMemoTable.MemoTableEntry`
CPlanMemoTable.`getBest(long hopID, TemplateBase.TemplateType pref)`
`CPlanMemoTable.MemoTableEntry`
CPlanMemoTable.`getBest(long hopID, TemplateBase.TemplateType pref1, TemplateBase.TemplateType pref2)`
`boolean`
CPlanMemoTable.`hasOnlyExactMatches(long hopID, TemplateBase.TemplateType type1, TemplateBase.TemplateType type2)`
`boolean`
TemplateBase.TemplateType.`isIn(TemplateBase.TemplateType... types)`
`static boolean`
TemplateUtils.`isType(TemplateBase.TemplateType type, TemplateBase.TemplateType... validTypes)`
`void`
CPlanMemoTable.`remove(Hop hop, TemplateBase.TemplateType type)`
`void`
CPlanMemoTable.`removeAllRefTo(long hopID, TemplateBase.TemplateType type)`
Method parameters in org.apache.sysds.hops.codegen.template with type arguments of type TemplateBase.TemplateType
Modifier and Type
Method
Description
`boolean`
CPlanMemoTable.`containsNotIn(long hopID, Collection<TemplateBase.TemplateType> types, boolean checkChildRefs)`
Constructors in org.apache.sysds.hops.codegen.template with parameters of type TemplateBase.TemplateType
Modifier
Constructor
Description
``
`MemoTableEntry(TemplateBase.TemplateType t, long in1, long in2, long in3, int inlen)`
``
`MemoTableEntry(TemplateBase.TemplateType t, long in1, long in2, long in3, int inlen, TemplateBase.CloseType close)`
``
`TemplateCell(TemplateBase.TemplateType type, TemplateBase.CloseType ctype)`